@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@100..900&display=swap');
html {
  font-size: 62.5%;
}
body {
  font-family: "dnp-shuei-gothic-gin-std", sans-serif;
  font-optical-sizing: auto;
  font-style: normal;
  font-size: 1.6rem;
  line-height: 1.8;
  font-weight: 700;
  color: #000;
}
.sp {
  display: none;
}
.inner {
  position: relative;
  max-width: 820px;
  margin: 0 auto;
}
img {
  max-width: 100%;
}
.fadeUp {
  opacity: 0;
  transform: translateY(30px);
  transition: opacity .8s, transform .8s;
}
.fadeUp.is-inview {
  opacity: 1;
  transform: translateY(0);
  transition-delay: .2s;
}
@media screen and (max-width:640px) {
  .inner {
    width: 100%;
    padding: 0 7.5%;
    margin: 0 auto;
  }
  .sp {
    display: block;
  }
  .pc {
    display: none;
  }
}

.main_header {
  background-color: #d71618;
  padding: 30px;
}
.main_header .header-logo {
  display: block;
  width: 115px;
}
@media screen and (max-width:640px) {
  .main_header {
    padding: 10px 20px;
  }
  .main_header .header-logo {
    width: 100px;
  }
}

.mv {
  position: relative;
  width: 100%;
  aspect-ratio: 1920 / 1080;
  background: url(../img/mv_bg.png) no-repeat center center;
  background-size: cover;
  overflow: hidden;
  z-index: 4 !important;
  padding: 0;
}
.mv-stage {
  position: relative;
  width: 100%;
  height: 100%;
}
.mv-layout {
  position: relative;
  width: 100%;
  height: 100%;
  max-width: 1920px;
  margin: 0 auto;
}
.mv-content {
  position: absolute;
  width: 55%;
  top: 11%;
  left: 50%;
  transform: translateX(-50%);
  margin: 0;
  opacity: 0;
  animation: fadeIn 1s ease forwards;
  animation-delay: .5s;
}
.mv-content img {
  display: block;
  width: 100%;
}
@keyframes fadeIn {
  from {
    opacity: 0;
    transform: translate(-50%,20px);
  }
  to {
    opacity: 1;
    transform: translate(-50%,0);
  }
}

.main_bg {
  position: relative;
  background: url(../img/main_bg_repeat.svg) repeat-y;
  overflow: hidden;
}
.main_bg::before {
  content: "";
  width: 100%;
  aspect-ratio: 1440 / 180;
  display: block;
  background: url(../img/separate.svg) no-repeat;
  background-size: cover;
  position: absolute;
  bottom: 0;
  left: 0;
  z-index: 3;
}
.main_bg::after {
  content: "";
  width: 100%;
  height: 100%;
  display: block;
  background-image: linear-gradient(#fff0e1, #e2ac83);
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
  mix-blend-mode: screen;
}
.main_bg section {
  position: relative;
  z-index: 3;
}
.main_wo_mv {
  position: relative;
}
.cloud_wrap {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
.cloud_wrap .cloud_inner {
  position: relative;
  display: block;
  width: 100%;
  height: 20%;
}
.cloud_img {
  position: absolute;
  z-index: 2;
}
.cloud01 {
  width: 220px;
  top: 160px;
  left: calc(50% - 440px);
  animation: cloudFloat 6s ease-in-out infinite;
}
.cloud02 {
  width: 450px;
  top: 340px;
  right: calc(50% - 600px);
  animation: cloudFloat 6s ease-in-out infinite 3s;
}
.cloud03 {
  width: 110px;
  top: 360px;
  right: 50%;
  animation: cloudFloat 6s ease-in-out infinite 1s;
}
.cloud04 {
  width: 330px;
  top: 500px;
  left: calc(50% - 580px);
  animation: cloudFloat 6s ease-in-out infinite 2s;
}
.cloud05 {
  width: 260px;
  bottom: 0;
  left: calc(50% + 120px);
  animation: cloudFloat 6s ease-in-out infinite .6s;
}
@keyframes cloudFloat{
  0%{
    transform: translateY(0) translateX(0);
  }
  50%{
    transform: translateY(-20px) translateX(10px);
  }
  100%{
    transform: translateY(0) translateX(0);
  }
}

.deco_left,
.deco_right {
  width: 80px;
  position: absolute;
  top: -300px;
  transform-origin: top center;
  animation: sway 3.8s ease-in-out infinite;
}
@keyframes sway {
  0%   { transform: rotate(0deg); }
  15%  { transform: rotate(2.8deg); }
  35%  { transform: rotate(-2.2deg); }
  55%  { transform: rotate(1.6deg); }
  75%  { transform: rotate(-1deg); }
  100% { transform: rotate(0deg); }
}

.deco_left {
  left: 5%;
}
.deco_right {
  right: 5%;
}

.about_title {
  width: 680px;
  margin: 120px auto 0;
}
.about_description {
  text-align: center;
  font-size: 2.4rem;
  letter-spacing: .15em;
  margin-top: 35px;
}

.spoon01 {
  width: fit-content;
  position: absolute;
  top: 40px;
  left: calc(50% - 200px);
  transform: translate(80px, 80px);
  opacity: 0;
}
.spoon01 img {
  max-width: unset;
  width: 1022px;
}
.spoon01.is-show {
  opacity: 1;
  transform: translate(0,0);
  transition: opacity .8s ease .3s, transform .8s ease .3s;
}
.about_mid {
  margin: 300px auto 360px;
}
.fl_icecream {
  width: fit-content;
}
.fl_icecream01 {
  margin-left: 120px;
  margin-top: -100px;
  animation: float 3s ease-in-out infinite;
}
.fl_icecream02 {
  margin-left: 440px;
  margin-top: -120px;
  animation: float 3s ease-in-out infinite .8s;
}
@keyframes float {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-12px);
  }
  100% {
    transform: translateY(0);
  }
}
.spoon02 {
  width: fit-content;
  position: absolute;
  bottom: -300px;
  right: calc(50% - 200px);
  transform: translate(-80px, 80px);
  opacity: 0;
}
.spoon02 img {
  max-width: unset;
  width: 1000px;
}
.spoon02.is-show {
  opacity: 1;
  transform: translate(0,0);
  transition: opacity .8s ease .3s, transform .8s ease .3s;
}

.section_title {
  width: 700px;
  margin: 0 auto;
}
.date_text {
  position: absolute;
  top: 70px;
  left: calc(50% + 375px);
  width: 120px;
  z-index: 2;
}
.date_bg {
  position: absolute;
  top: 0px;
  left: calc(50% + 300px);
  width: 270px;
  height: 270px;
  z-index: 1;
  animation: rotate 20s linear infinite;
}
@keyframes rotate {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}
.lineup_description {
  font-size: 3rem;
  text-align: center;
  margin-top: -10px;
}
.lineup_wrap {
  display: flex;
  justify-content: center;
  gap: 100px;
  margin-top: 60px;
  flex-wrap: wrap;
}
.lineup_wrap .lineup_item {
  width: calc(50% - 50px);
}
.icecream_img {
  text-align: center;
  position: relative;
}
.icecream_img .limited {
  position: absolute;
  top: 0px;
  right: 0px;
  width: 88px;
}
.lineup_item .name {
  width: 85%;
  margin: 0 auto;
}
.lineup_item .icecream_text {
  font-size: 1.5rem;
  margin: 5px 0 30px;
}
.lineup_item .comingsoon {
  width: 85%;
  margin: 0 auto;
}

.movie {
  padding: 140px 0;
}
.movie_wrap {
  width: 100%;
  border-radius: 20px;
  aspect-ratio: 16 / 9;
  overflow: hidden;
  margin-top: 60px;
}
.movie_wrap iframe {
  width: 100%;
  height: 100%;
}
.movie_title {
  font-size: 2.4rem;
  font-weight: 700;
  text-align: center;
  margin-top: 10px;
}

.profile {
  background-image: linear-gradient(0deg, rgba(169, 213, 176, 1), rgba(242, 160, 118, 1) 50%, rgba(232, 58, 45, 1));
  padding: 100px 0;
  position: relative;
}
.profile .section_title {
  width: 500px;
}
.profile .inner {
  z-index: 2;
}
.profile_img {
  margin-top: 80px;
}
.profile_name {
  width: 340px;
  margin: 70px auto 50px;
}
.profile_description {
  width: 600px;
  margin: 0 auto;
  text-align: justify;
}
.profile_cloud_bg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
  overflow: hidden;
}
.profile_cloud_bg .cloud01 {
  width: 150px;
  top: 40px;
  left: calc(50% - 670px);
}
.profile_cloud_bg .cloud02 {
  width: 220px;
  top: 300px;
  left: calc(50% - 470px);
}
.profile_cloud_bg .cloud03 {
  width: 150px;
  top: 540px;
  left: calc(50% - 630px);
}
.profile_cloud_bg .cloud04 {
  width: 300px;
  top: 810px;
  left: calc(50% - 500px);
}
.profile_cloud_bg .cloud05 {
  width: 450px;
  top: 1100px;
  left: calc(50% - 640px);
}
.profile_cloud_bg .cloud06 {
  width: 310px;
  top: 1070px;
  right: calc(50% - 540px);
  animation: cloudFloat 6s ease-in-out infinite .2s;
}
.profile_cloud_bg .cloud07 {
  width: 240px;
  top: 750px;
  right: calc(50% - 500px);
  animation: cloudFloat 6s ease-in-out infinite .4s;
}
.profile_cloud_bg .cloud08 {
  width: 210px;
  top: 480px;
  right: calc(50% - 600px);
  animation: cloudFloat 6s ease-in-out infinite .6s;
}


@media screen and (max-width:640px) {
  .mv {
    background: url(../img/mv_bg_sp.png) no-repeat;
    background-size: cover;
    aspect-ratio: 750 / 1080;
    z-index: 4 !important;
  }
  .mv-content {
    margin: 0 auto;
    width: 80%;
    top: 9%;
  }
  .deco_left,
  .deco_right {
    width: 30px;
    position: absolute;
    top: -140px;
    transform-origin: top center;
    animation: sway 3.8s ease-in-out infinite;
  }
  .deco_left {
    left: 2%;
  }
  .deco_right {
    right: 2%;
  }
  .about_title {
    width: 75%;
    margin: 50px auto 0;
  }
  .about_description {
    font-size: 1.3rem;
    margin-top: 20px;
  }
  .spoon01 {
    width: 380px;
    top: 11%;
    left: calc(50% - 60px);
  }
  .spoon01 img {
    width: 100%;
  }
  .about_mid {
    margin: 160px auto 140px;
    width: 100%;
    height: 400px;
  }
  .catch_img_01 {
    position: absolute;
    width: 180px;
    right: 50%;
  }
  .catch_img_02 {
    position: absolute;
    width: 220px;
    margin-left: unset;
    margin-top: unset;
    bottom: 30px;
    left: calc(50% - 40px);
  }
  .fl_icecream01 {
    position: absolute;
    width: 160px;
    margin-left: unset;
    margin-top: unset;
    right: calc(50% + 5px);
    top: 40px;
  }
  .fl_icecream02 {
    position: absolute;
    width: 160px;
    margin-left: unset;
    margin-top: unset;
    left: calc(50% + 10px);
    bottom: 60px;
  }
  .spoon02 {
    width: 380px;
    bottom: -12%;
    right: calc(50% - 75px);
  }
  .spoon02 img {
    width: 100%;
  }
  .section_title {
    width: 260px;
  }
  .date_text {
    position: absolute;
    top: 2px;
    left: calc(50% + 133px);
    width: 35px;
    z-index: 2;
  }
  .date_bg {
    position: absolute;
    top: -20px;
    left: calc(50% + 110px);
    width: 80px;
    height: 80px;
    z-index: 1;
    animation: rotate 20s linear infinite;
  }
  .lineup_description {
    font-size: 1.4rem;
  }
  .lineup_wrap {
    gap: 30px 20px;
    margin-top: 20px;
  }
  .lineup_wrap .lineup_item {
    width: calc(50% - 10px);
    display: flex;
    flex-direction: column;
  }
  .lineup_item .name {
    width: 100%;
  }
  .lineup_item .name img {
    vertical-align: bottom;
  }
  .lineup_item .icecream_text {
    font-size: 1.2rem;
    margin: 10px 0;
  }
  .lineup_item .comingsoon {
    width: 100%;
    margin-top: auto;
  }
  .icecream_img .limited {
    width: 65px;
    top: -15px;
    right: -15px;
  }
  .movie {
    padding: 60px 0;
  }
  .movie_wrap {
    margin-top: 20px;
  }
  .movie_title {
    font-size: 1.7rem;
  }
  .profile {
    padding: 60px 0;
  }
  .profile .section_title {
    width: 200px;
  }
  .profile_img {
    margin-top: 30px;
  }
  .profile_name {
    width: 220px;
    margin: 40px auto 20px;
  }
  .profile_description {
    font-size: 1.15rem;
    width: 80%;
  }
  .cloud01 {
    width: 80px;
    top: 70px;
    left: 10%;
  }
  .cloud02 {
    width: 140px;
    top: 180px;
    right: 10%;
  }
  .cloud03 {
    width: 50px;
    top: 170px;
    right: 60%;
  }
  .cloud04 {
    width: 120px;
    top: 270px;
    left: 15%;
  }
  .cloud05 {
    width: 150px;
    bottom: 60px;
    left: unset;
    right: 7%;
  }
  .profile_cloud_bg .cloud01 {
    width: 80px;
    top: 140px;
    left: calc(50% - 180px);
  }
  .profile_cloud_bg .cloud02 {
    width: 50px;
    top: 280px;
    left: 0;
  }
  .profile_cloud_bg .cloud03 {
    width: 90px;
    top: 450px;
    left: 10px;
  }
  .profile_cloud_bg .cloud04 {
    width: 110px;
    top: 550px;
    left: unset;
    right: 10px;
  }
  .profile_cloud_bg .cloud05 {
    width: 110px;
    top: 40px;
    left: unset;
    right: 10px;
  }
  .profile_cloud_bg .cloud06 {
    width: 80px;
    top: 640px;
    right: 40%;
  }
  .profile_cloud_bg .cloud07 {
    width: 50px;
    top: unset;
    bottom: 200px;
    right: 20px;
  }
  .profile_cloud_bg .cloud08 {
    width: 80px;
    top: unset;
    bottom: 20px;
    right: 60%;
  }
}

@media screen and (max-width:1060px) and (min-width:641px) {
  .inner {
    max-width: 600px;
  }
  .deco_left,
  .deco_right {
    width: 64px;
    top: -220px;
  }
  .about_title {
    width: 500px;
    margin: 80px auto 0;
  }
  .about_description {
    font-size: 2rem;
  }
  .spoon01 {
    width: 700px;
    top: 90px;
    left: calc(50% - 140px);
  }
  .spoon01 img {
    width: 100%;
  }
  .about_mid {
    margin: 250px auto 280px;
  }
  .fl_icecream01 {
    width: 240px;
    margin-left: 85px;
    margin-top: -70px;
  }
  .fl_icecream02 {
    width: 240px;
    margin-left: 310px;
    margin-top: -100px;
  }
  .spoon02 {
    bottom: -210px;
    right: calc(50% - 170px);
  }
  .spoon02 img {
    max-width: unset;
    width: 100%;
  }
  .spoon02 {
    width: 710px;
  }
  .section_title {
    width: 400px;
  }
  .date_bg {
    left: calc(50% + 220px);
    width: 160px;
    height: 160px;
  }
  .date_text {
    top: 45px;
    left: calc(50% + 265px);
    width: 70px;
  }
  .lineup_description {
    font-size: 2rem;
  }
  .lineup_wrap {
    gap: 60px;
  }
  .lineup_wrap .lineup_item {
    width: calc(50% - 30px);
    display: flex;
    flex-direction: column;
  }
  .lineup_item .comingsoon {
    margin-top: auto;
  }
  .movie {
    padding: 80px 0;
  }
  .movie_wrap {
    margin-top: 30px;
  }
  .profile {
    padding: 70px 0;
  }
  .profile .section_title {
    width: 300px;
  }
  .profile_img {
    margin-top: 40px;
  }
}
